### Signal

# Handy TabBar::extra-drag-data-received

#### Declaration

    void
    extra_drag_data_received (
      HdyTabBar* self,
      HandyTabPage* page,
      GdkDragContext* context,
      GtkSelectionData* data,
      guint info,
      guint time,
      gpointer user_data
    )

#### Description [src]

Emitted when content allowed via `HdyTabBar:extra-drag-dest-targets` is dropped onto a tab.

See `GtkWidget::drag-data-received`.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.
Available since: | 1.2

#### Parameters

`page` | `HdyTabPage`
| The tab page matching the tab the content was dropped onto.
| The data is owned by the caller of the function.
`context` | `GdkDragContext`
| The drag context.
| The data is owned by the caller of the function.
`data` | `GtkSelectionData`
| The received data.
| The data is owned by the caller of the function.
`info` | `guint`
| The info that has been registered with the target in the `GtkTargetList`
`time` | `guint`
| The timestamp at which the data was received.